# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(GraphViz.pm) perl(Module/Build.pm) perl(Module/Signature.pm) perl(Socket.pm) perl(Test/More.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name Module-CPANTS
%define upstream_version 0.20030725

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %{upstream_version}
Release:        alt2_13
Summary:        CPAN module testing
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.bz2
BuildArch:      noarch
Requires:       perl(Module/Pluggable.pm)
Source44: import.info

%description
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendor_privlib}/Module
%{perl_vendor_privlib}/auto/Module


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt2_13
- update by mgaimport

* Sat Jun 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt2_12
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt2_11
- update by mgaimport

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt2_10
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt2_9
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt2_8
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.20030725-alt2_7
- rebuild to get rid of unmets

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt1_7
- mga update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt1_6
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.20030725-alt1_5
- converted for ALT Linux by srpmconvert tools

